Migration
All operations require authentication.
Retrieve information about the possible/ongoing migration from VPS 2020 to VPS 2025Production
Returns the state of the migration of the VPS 2020 to VPS 2025, with the current and target plans, the available plans, the position in the queue and the date.
Path parameters
Service name
Response
List of available plans to migrate
VPS current plan code
Date of planned migration, null if not scheduled
Position on the migration queue, null if not in queue
All status a migration task can be in
availabledonenotAvailableongoingplannedtoPlanVPS target plan code after migration
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ migration2020 \
-H "authorization: Bearer $OVH_TOKEN"{ "availablePlans": [ { "planCode": "string" } ], "currentPlan": "string", "date": "2024-01-01T12:00:00Z", "position": 0, "status": "available", "targetPlan": "string"}
Request to be queued for migration from VPS 2020 to VPS 2025Production
Queues the VPS 2020 for migration to VPS 2025 with the given target plan and returns the migration state.
Path parameters
Service name
Request body (required)
VPS target plan code
Response
List of available plans to migrate
VPS current plan code
Date of planned migration, null if not scheduled
Position on the migration queue, null if not in queue
All status a migration task can be in
availabledonenotAvailableongoingplannedtoPlanVPS target plan code after migration
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ migration2020 \
-H "authorization: Bearer $OVH_TOKEN"{ "availablePlans": [ { "planCode": "string" } ], "currentPlan": "string", "date": "2024-01-01T12:00:00Z", "position": 0, "status": "available", "targetPlan": "string"}
Cancel the migration request from VPS 2020 to VPS 2025Production
Cancels the pending migration request of the VPS 2020 to VPS 2025.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ migration2020 \
-H "authorization: Bearer $OVH_TOKEN"Update migration parameters for the VPS 2020 to VPS 2025 migrationProduction
Updates the target plan of the pending migration of the VPS 2020 to VPS 2025 and returns the migration state.
Path parameters
Service name
Request body (required)
Date of migration. Use current date to trigger migration as soon as possible.
Response
List of available plans to migrate
VPS current plan code
Date of planned migration, null if not scheduled
Position on the migration queue, null if not in queue
All status a migration task can be in
availabledonenotAvailableongoingplannedtoPlanVPS target plan code after migration
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ migration2020 \
-H "authorization: Bearer $OVH_TOKEN"{ "availablePlans": [ { "planCode": "string" } ], "currentPlan": "string", "date": "2024-01-01T12:00:00Z", "position": 0, "status": "available", "targetPlan": "string"}